Skip to main content
GET
/
api
/
v1
/
openclaw
/
pinterest
/
pin
Pin
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/pinterest/pin \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
Pinterest pin URL (e.g., https://www.pinterest.com/pin/1124351863225567517/)
trim
boolean
Set to true for a trimmed down version of the response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/pinterest/pin?url=https://www.pinterest.com/pin/1124351863225567517/" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "autoAltText": "a white bowl filled with meat and tomato sauce...",
    "closeupUnifiedDescription": "Italian Pot Roast (Straccato)",
    "description": "Italian Pot Roast (Straccato)",
    "dominantColor": "#714426",
    "originPinner": { "username": "ClosetCooking" },
    "images": { "orig": { "width": 1024, "height": 1024, "url": "..." } }
  },
  "meta": {
    "platform": "pinterest",
    "endpoint": "pin",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.